"""increase_file_type_column_length

Revision ID: e51c9a16ee16
Revises: 4d37f412d37a
Create Date: 2025-11-30 15:03:28.950186

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'e51c9a16ee16'
down_revision: Union[str, None] = '4d37f412d37a'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Upgrade schema."""
    op.alter_column(
        'tool_ocr_tasks',
        'file_type',
        existing_type=sa.String(50),
        type_=sa.String(100),
        existing_nullable=True
    )


def downgrade() -> None:
    """Downgrade schema."""
    op.alter_column(
        'tool_ocr_tasks',
        'file_type',
        existing_type=sa.String(100),
        type_=sa.String(50),
        existing_nullable=True
    )
